petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMRefineHierarchy

Refines a DM object, all levels at once

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMRefineHierarchy(DM dm,PetscInt nlevels,DM dmf[])

Collective on dm

### Input Parameter

| dm | - the DM object
| nlevels | - the number of levels of refinement

### Output Parameter

dmf -the refined DM hierarchy

### See Also

DMCoarsenHierarchy(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex48.c.html

### Implementations

DMRefineHierarchy_DA in src/dm/impls/da/da.c
DMRefineHierarchy_Moab in src/dm/impls/moab/dmmbmg.cxx
DMRefineHierarchy_Plex in src/dm/impls/plex/plexrefine.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages